    <!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.15.1">
    <title>BachelorThesis.ViewFunctions – bachelor_thesis v0.0.1</title>
    <link rel="stylesheet" href="dist/app-af302bfcc4.css" />
    
    <script src="dist/sidebar_items-1963507629.js"></script>
  </head>
  <body data-type="modules">
    <script>try { if(localStorage.getItem('night-mode')) document.body.className += ' night-mode'; } catch (e) { }</script>

    <div class="main">
<button class="sidebar-toggle">
  <i class="icon-menu"></i>
</button>
<section class="sidebar">

  
  <a href="api-reference.html" class="sidebar-projectLink">
    <div class="sidebar-projectDetails">
      <h1 class="sidebar-projectName">
        bachelor_thesis
      </h1>
      <h2 class="sidebar-projectVersion">
        v0.0.1
      </h2>
    </div>
    
  </a>

  <div class="sidebar-search">
    <i class="icon-search"></i>
    <input type="text" class="sidebar-searchInput" placeholder="search" autocomplete="off" />
  </div>

  <ul class="sidebar-listNav">
    <li><a id="extras-list" href="#full-list">Pages</a></li>

    
      <li><a id="modules-list" href="#full-list">Modules</a></li>
    

    

    
  </ul>
  <div class="gradient"></div>
  <ul id="full-list" class="sidebar-fullList"></ul>
</section>

<section class="content">
  <div class="content-outer">
    <div id="content" class="content-inner">


      <h1>
        <small class="visible-xs">bachelor_thesis v0.0.1</small>
        BachelorThesis.ViewFunctions
        
        
      </h1>

      

      
        <section id="summary" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#summary">
              <i class="icon-link"></i>
            </a>
            Summary
          </h1>
          

          
  <div class="summary-functions summary">
    <h2>
      <a href="#functions">Functions</a>
    </h2>
    <div class="summary-row">
  <div class="summary-signature">
    <a href="#compareDatetimeToNow/1">compareDatetimeToNow(datetime)</a>
  </div>
  
    <div class="summary-synopsis"><p>Compare datetime to now
  Returns</p>
<pre><code class="elixir">0 if datetime == now
1 if datetime &lt; now
-1 if datetime &gt; now</code></pre>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#date_format/1">date_format(date)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function returns dateTime in right format</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#existsPairUpRequestDevice/1">existsPairUpRequestDevice(device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>return:</p>
<pre><code class="elixir">true  -&gt; request exists
false -&gt; request doesn&#39;t exist</code></pre>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#existsPairUpRequestSmartDevice/1">existsPairUpRequestSmartDevice(smart_device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>return:</p>
<pre><code class="elixir">true  -&gt; request exists
false -&gt; request doesn&#39;t exist</code></pre>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#getDeviceActionByDevice/1">getDeviceActionByDevice(device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>Return value of device by device id</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#getDeviceActionByDevice2/1">getDeviceActionByDevice2(device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>Return value of device by device id</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#getDeviceValue/1">getDeviceValue(values)</a>
  </div>
  
    <div class="summary-synopsis"><p>Returns right value from set od values</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#getDeviceValueByDevice/1">getDeviceValueByDevice(device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>Return value of device by device id</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#yesNo/1">yesNo(boolean)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function prints boolean value
  Returns</p>
<pre><code class="elixir">Yes if boolean == true
No if boolean == false
Undefined else</code></pre>
</div>
  
</div>

  </div>


          

        </section>
      

      

      
        <section id="functions" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#functions">
              <i class="icon-link"></i>
            </a>
            Functions
          </h1>
          <div class="detail" id="compareDatetimeToNow/1">
  
  <div class="detail-header">
    <a href="#compareDatetimeToNow/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">compareDatetimeToNow(datetime)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  Compare datetime to now
  Returns</p>
<pre><code class="elixir">0 if datetime == now
1 if datetime &lt; now
-1 if datetime &gt; now</code></pre>

  </section>
</div>
<div class="detail" id="date_format/1">
  
  <div class="detail-header">
    <a href="#date_format/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">date_format(date)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function returns dateTime in right format</p>

  </section>
</div>
<div class="detail" id="existsPairUpRequestDevice/1">
  
  <div class="detail-header">
    <a href="#existsPairUpRequestDevice/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">existsPairUpRequestDevice(device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  return:</p>
<pre><code class="elixir">true  -&gt; request exists
false -&gt; request doesn&#39;t exist</code></pre>

  </section>
</div>
<div class="detail" id="existsPairUpRequestSmartDevice/1">
  
  <div class="detail-header">
    <a href="#existsPairUpRequestSmartDevice/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">existsPairUpRequestSmartDevice(smart_device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  return:</p>
<pre><code class="elixir">true  -&gt; request exists
false -&gt; request doesn&#39;t exist</code></pre>

  </section>
</div>
<div class="detail" id="getDeviceActionByDevice/1">
  
  <div class="detail-header">
    <a href="#getDeviceActionByDevice/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">getDeviceActionByDevice(device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  Return value of device by device id</p>

  </section>
</div>
<div class="detail" id="getDeviceActionByDevice2/1">
  
  <div class="detail-header">
    <a href="#getDeviceActionByDevice2/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">getDeviceActionByDevice2(device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  Return value of device by device id</p>

  </section>
</div>
<div class="detail" id="getDeviceValue/1">
  
  <div class="detail-header">
    <a href="#getDeviceValue/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">getDeviceValue(values)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  Returns right value from set od values</p>

  </section>
</div>
<div class="detail" id="getDeviceValueByDevice/1">
  
  <div class="detail-header">
    <a href="#getDeviceValueByDevice/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">getDeviceValueByDevice(device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>  Return value of device by device id</p>

  </section>
</div>
<div class="detail" id="yesNo/1">
  
  <div class="detail-header">
    <a href="#yesNo/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">yesNo(boolean)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function prints boolean value
  Returns</p>
<pre><code class="elixir">Yes if boolean == true
No if boolean == false
Undefined else</code></pre>

  </section>
</div>

        </section>
      

      
          <footer class="footer">
        <p>
          <span class="line">
            Built using
            <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" rel="help" target="_blank">ExDoc</a> (v0.15.1),
          </span>
          <span class="line">
            designed by
            <a href="https://twitter.com/dignifiedquire" target="_blank" title="@dignifiedquire">Friedel Ziegelmayer</a>.
            </span>
        </p>
        <button class="night-mode-toggle" />
      </footer>
    </div>
  </div>
</section>
</div>
  <script src="dist/app-e9767fa739.js"></script>
  </body>
</html>

